ios7-001

In an email sent by Apple to iOS developers today, it appears unless you specifically set the flag on each app you have, users who downloaded your app in the past can now get the older versions that will run on older OS and hardware levels (considering you’ve updated your app to build to iOS7 and aren’t supporting the older versions universally in your binary).

From Apple:
“Users who have already purchased your app are now able to download previous versions, allowing them to use your app with older devices that may no longer be supported by the current version.